Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLHeadElementImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexElementImpl
              org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
                  org.mozilla.jrex.dom.html2.JRexHTMLHeadElementImpl

All Implemented Interfaces:
  Element, HTMLElement, HTMLHeadElement, Node

public class JRexHTMLHeadElementImpl
extends JRexHTMLElementImpl
implements HTMLHeadElement

A class implementing org.w3c.dom.html2.HTMLHeadElement interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `HTMLHeadElement`

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getProfile()` URI [IETF RFC 2396] designating a metadata profile.
`void` | `setProfile(String profile)` URI [IETF RFC 2396] designating a metadata profile.

Methods inherited from class org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.mozilla.jrex.dom.JRexElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, dispose, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getProfile

    public String getProfile()

  Description copied from interface: `HTMLHeadElement`
  URI [IETF RFC 2396] designating a metadata profile. See the profile attribute definition in HTML 4.01.

  Specified by:
    `getProfile` in interface `HTMLHeadElement`

### setProfile

    public void setProfile(String profile)

  Description copied from interface: `HTMLHeadElement`
  URI [IETF RFC 2396] designating a metadata profile. See the profile attribute definition in HTML 4.01.

  Specified by:
    `setProfile` in interface `HTMLHeadElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.